"""
test_drop&filter_Dqm6.py — Stress Test: rimozione dei prodotti con qualità inferiore a 8 dal catalogo

Come funziona:
  1. import_dataset()                           : carica il catalogo completo
  2. Crea un'istanza della sottoclasse "QualityStressTest" con il parametro del filtro qualità
  3. Chiama il metodo sim_QualityStressTest()   : per ottenere dataset con le probabilità aggiorante
  4. Salva CSV con prodotti rimasti, probabilità medie, probabilità per segmento
[Si può aggiungere il plot come in altri test, vedere ad esempio test_DROP_A.py]

Output:
  - prodotti_M8.csv       : DataFrame prodotti dopo il drop
  - prob_prodotti_M8.csv  : vettore probabilità medie
  - prob_segmenti_M8.csv  : matrice probabilità per segmento
"""
import sys
import os
cartella_progetto = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
if cartella_progetto not in sys.path:
    sys.path.append(cartella_progetto)
from models import *
from plot_segment_test import *
from prepare_data import import_dataset

prodotti_tab=import_dataset() 

Alta_Qualità = QualityStressTest(prodotti_tab, quality_level=8)
Alta_Qualità_probabilities= Alta_Qualità.sim_QualityStressTest(MNLChoiceModel, LatentChoiceModel)

# Esportazione caratteristiche prodotti rimasti
Alta_Qualità_probabilities[0].to_csv(r'test_res\prodotti_M8.csv', index=False)
# Esportazione probabilità prodotti
Alta_Qualità_probabilities[1].to_csv(r'test_res\prob_prodotti_M8.csv', header=False, index=False)
# Esportazione probabilità segmenti
Alta_Qualità_probabilities[2].to_csv(r'test_res\prob_segmenti_M8.csv', header=False, index=False)

print('File CSV generati con successo per l\'analisi dei grafici.')